 /*****************************************************************
 !****************************************************************
 !
 !      Author :                     Greg Nawrocki
 !      Date:                        1-28-97
 !
 ! This is the record support field list for the vacScan record.  
 ! It is designed to provide EPICS record support for a Spectra 
 ! VacScan RGA.  The RGA in itself is a rather complex state 
 ! machine controlled  with this record.  Note that there is no 
 ! support for alarms in this record. Any alarming must be done
 ! via linked calc records.
 !
 !****************************************************************
 !                         COPYRIGHT NOTIFICATION
 !****************************************************************

 ! THE FOLLOWING IS A NOTICE OF COPYRIGHT, AVAILABILITY OF THE CODE,
 ! AND DISCLAIMER WHICH MUST BE INCLUDED IN THE PROLOGUE OF THE CODE
 ! AND IN ALL SOURCE LISTINGS OF THE CODE.

 ! (C)  COPYRIGHT 1993 UNIVERSITY OF CHICAGO

 ! Argonne National Laboratory (ANL), with facilities in the States of
 ! Illinois and Idaho, is owned by the United States Government, and
 ! operated by the University of Chicago under provision of a contract
 ! with the Department of Energy.

 ! Portions of this material resulted from work developed under a U.S.
 ! Government contract and are subject to the following license:  For
 ! a period of five years from March 30, 1993, the Government is
 ! granted for itself and others acting on its behalf a paid-up,
 ! nonexclusive, irrevocable worldwide license in this computer
 ! software to reproduce, prepare derivative works, and perform
 ! publicly and display publicly.  With the approval of DOE, this
 ! period may be renewed for two additional five year periods.
 ! Following the expiration of this period or periods, the Government
 ! is granted for itself and others acting on its behalf, a paid-up,
 ! nonexclusive, irrevocable worldwide license in this computer
 ! software to reproduce, prepare derivative works, distribute copies
 ! to the public, perform publicly and display publicly, and to permit
 ! others to do so.

 !****************************************************************
 !                               DISCLAIMER
 !****************************************************************

 ! NEITHER THE UNITED STATES GOVERNMENT NOR ANY AGENCY THEREOF, NOR
 ! THE UNIVERSITY OF CHICAGO, NOR ANY OF THEIR EMPLOYEES OR OFFICERS,
 ! MAKES ANY WARRANTY, EXPRESS OR IMPLIED, OR ASSUMES ANY LEGAL
 ! LIABILITY OR RESPONSIBILITY FOR THE ACCURACY, COMPLETENESS, OR
 ! USEFULNESS OF ANY INFORMATION, APPARATUS, PRODUCT, OR PROCESS
 ! DISCLOSED, OR REPRESENTS THAT ITS USE WOULD NOT INFRINGE PRIVATELY
 ! OWNED RIGHTS.

 !****************************************************************
 ! LICENSING INQUIRIES MAY BE DIRECTED TO THE INDUSTRIAL TECHNOLOGY
 ! DEVELOPMENT CENTER AT ARGONNE NATIONAL LABORATORY (708-252-2000).
 !****************************************************************

 !  Modification Log:
 !  -----------------
 !  .01	01-28-97	gjn	created
 !

 *****************************************************************/

#ifndef INC_VSchoice_h
#define INC_VSchoice 1

typedef enum {cmdGetPeak, cmdGetX, cmdGetCtl, cmdPutGetCtl} cmdType;


#define VS_FLGS_CMOD 0x0001
#define VS_FLGS_CLOC 0x0002
#define VS_FLGS_CXF1 0x0004
#define VS_FLGS_CXF2 0x0008
#define VS_FLGS_CRST 0x0010

#define YMFG_LEAK 0x0001
#define YMFG_PEAK 0x0002
#define YMFG_BAR 0x0004
#define YMFG_ANALOG 0x0008
#define YMFG_TREND 0x0010

#define YFG_1 0x0001
#define YFG_2 0x0002
#define YFG_3 0x0004
#define YFG_4 0x0008
#define YFG_5 0x0010
#define YFG_6 0x0020
#define YFG_7 0x0040
#define YFG_8 0x0080
#define YFG_9 0x0100

#define ZMFG_PEAK 0x0001
#define ZMFG_TREND 0x0002

#define ZCFG_1 0x0001
#define ZCFG_2 0x0002
#define ZCFG_3 0x0004
#define ZCFG_4 0x0008
#define ZCFG_5 0x0010
#define ZCFG_6 0x0020

#define ZFG_1 0x0001
#define ZFG_2 0x0002
#define ZFG_3 0x0004
#define ZFG_4 0x0008
#define ZFG_5 0x0010
#define ZFG_6 0x0020
#define ZFG_7 0x0040
#define ZFG_8 0x0080

#endif
